Module java.desktop
Package javax.swing.plaf

# Class ComponentInputMapUIResource

java.lang.Object
javax.swing.InputMap
javax.swing.ComponentInputMap
javax.swing.plaf.ComponentInputMapUIResource

All Implemented Interfaces:
  `Serializable`, `UIResource`

    public class ComponentInputMapUIResource
    extends ComponentInputMap
    implements UIResource

A subclass of javax.swing.ComponentInputMap that implements UIResource. UI classes which provide a ComponentInputMap should use this class.

Since:
  1.3

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ComponentInputMapUIResource​(JComponent component)` | Constructs a `ComponentInputMapUIResource`.

## Method Summary

### Methods declared in class javax.swing.ComponentInputMap

`clear, getComponent, put, remove, setParent`

### Methods declared in class javax.swing.InputMap

`allKeys, get, getParent, keys, size`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentInputMapUIResource

public ComponentInputMapUIResource​(JComponent component)
Constructs a `ComponentInputMapUIResource`.

Parameters:
  `component` - a non-null JComponent